<div class="data-table" oncontextmenu="return false;" (click)="resetContextMenu()">
  <nz-table
    #basicTable
    [nzData]="eduHisInfos"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="eduHisInfos?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getEduHisInfos()"
    nzSize="small">
    <thead>
    <tr>
      <th scope="col" class="text-nowrap text-center" nzWidth="60px">{{'selfService.table.stt' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.courseName' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.eduForm' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.eduContent' | translate}}</th>
      <th scope="col" class="text-nowrap td-date">{{'selfService.table.eduFromDate' | translate}}</th>
      <th scope="col" class="text-nowrap td-date">{{'selfService.table.eduToDate' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.eduResult' | translate}}</th>
<!--      <th scope="col" class="text-nowrap">{{'selfService.table.eduRefundAmount' | translate}}</th>-->
      <th scope="col" class="text-wrap td-date">{{'selfService.table.eduCommitmentDate' | translate}}</th>
    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;"
        (contextmenu)="rightClickTable($event, data)">
      <td class="text-nowrap text-center">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.courseName }}</td>
      <td class="text-nowrap">{{ data?.eduMethodTypeName}}</td>
      <td class="text-wrap" style="min-width: 280px">{{ data?.courseContent}}</td>
      <td class="text-nowrap td-date">{{ data?.fromDate }}</td>
      <td class="text-nowrap td-date">{{ data?.toDate }}</td>
      <td class="text-wrap">{{ data?.result }}</td>
<!--      <td class="text-nowrap">{{ data?.refundAmount ?? 0 | formatCurrency:"VND"}} VNĐ</td>-->
      <td class="text-nowrap td-date">{{ data?.commitmentDate }}</td>
    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>
